package domain

type AlibabaWdkMarketingFullrangeCreateactivityRulestairs struct {
	/*
	   是否使用满元条件，不能与满件、N件Y折同时使用。此选项为true时，countAt和countBegin必须为false defalutValue:false    */
	AmountAt *bool `json:"amount_at,omitempty" `

	/*
	   满多少元[单位为分，传入700，代表满7元]，amountAt为true时，必须设置     */
	Amount *int64 `json:"amount,omitempty" `

	/*
	   可换购的数量     */
	CanExtraItemNum *int64 `json:"can_extra_item_num,omitempty" `
}

func (s *AlibabaWdkMarketingFullrangeCreateactivityRulestairs) SetAmountAt(v bool) *AlibabaWdkMarketingFullrangeCreateactivityRulestairs {
	s.AmountAt = &v
	return s
}
func (s *AlibabaWdkMarketingFullrangeCreateactivityRulestairs) SetAmount(v int64) *AlibabaWdkMarketingFullrangeCreateactivityRulestairs {
	s.Amount = &v
	return s
}
func (s *AlibabaWdkMarketingFullrangeCreateactivityRulestairs) SetCanExtraItemNum(v int64) *AlibabaWdkMarketingFullrangeCreateactivityRulestairs {
	s.CanExtraItemNum = &v
	return s
}
